!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 18:21             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_1997) = coupl(nGC_107)*dZAZ_QED2/2d0 + coupl(nGC_13)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZ_QED2/2d0 + coupl(&
                        nGC_1632)
      coupl(nGC_2234) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_1427) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_215) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_215) - coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_213) - coupl(nGC_215)**3d0  &
                         - coupl(nGC_215)*coupl(nGC_216)**2d0 - coupl(nGC_215)*&
                        coupl(nGC_567)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1426) = coupl(nGC_211)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_211)**2d0 - coupl(nGC_212)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_553)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1425) = coupl(nGC_211)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(     &
                        nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1352) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl(  &
                        nGC_193)*coupl(nGC_194)*coupl(nGC_218) - coupl(nGC_193 &
                        )*coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193)*coupl(&
                        nGC_196)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_1294) = cima*(coupl(nGC_124)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_1295) = cima*(coupl(nGC_128)**2d0 + coupl(nGC_4)**2d0 + coupl( &
                        nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1296) = cME*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1290) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1291) = cima*(-coupl(nGC_123)**2d0 - coupl(nGC_2)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_1292) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(   &
                        nGC_125))/(8d0*pi**2d0)
      coupl(nGC_1293) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1607) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_195)*coupl(&
                        nGC_196) + coupl(nGC_199)*coupl(nGC_200) + coupl(      &
                        nGC_203)*coupl(nGC_204) + coupl(nGC_215)*coupl(nGC_216 &
                        ) + coupl(nGC_219)*coupl(nGC_220) + coupl(nGC_227)*    &
                        coupl(nGC_228))/(16d0*pi**2d0*Nc)
      coupl(nGC_1962) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +   &
                        coupl(nGC_122)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_TS_GC_195_Hh) = -coupl(nGC_195)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1982) = -coupl(nGC_116)*dZZA_QED2/2d0 + coupl(nGC_1762) + coupl&
                        (nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_1488) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(     &
                        nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_202)*coupl(   &
                        nGC_531) + coupl(nGC_125)*coupl(nGC_203)**2d0 + coupl( &
                        nGC_125)*coupl(nGC_204)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_201)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1779) = coupl(nGC_1184)*dcw_QED2 + coupl(nGC_1185)*dsw_QED2 +  &
                        coupl(nGC_1186)*dZee_QED2 + coupl(nGC_1187)*dvev_QED1  &
                         + coupl(nGC_1188)*da_QED2
      coupl(nGC_1447) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) -    &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) - coupl(  &
                        nGC_198)**2d0*coupl(nGC_200) - coupl(nGC_199)**2d0*    &
                        coupl(nGC_200) + 8d0*coupl(nGC_2)**2d0*coupl(nGC_200   &
                        ) - coupl(nGC_200)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1629) = cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_1625) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_601) - Nc*cima*   &
                        coupl(nGC_561)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_20)*   &
                        coupl(nGC_561)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_561)** &
                        2d0*coupl(nGC_601)*sq2**2d0 + 9d0*cima*coupl(nGC_19)** &
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1627) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_601) - Nc*cima*   &
                        coupl(nGC_561)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_561)** &
                        2d0*coupl(nGC_601)*sq2**2d0 + 9d0*cima*coupl(nGC_19)** &
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1732) = coupl(nGC_1238)*dyc_QED1_QCD2
      coupl(nGC_1887) = coupl(nGC_1755) + coupl(nGC_86)*dZWMinus_QED2
      coupl(nGC_1730) = coupl(nGC_1156)*dyup_QED1_QCD2
      coupl(nGC_2129) = coupl(nGC_19)*dZsL_QED2
      coupl(nGC_2128) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZsL_QCD2
      coupl(nGC_2127) = coupl(nGC_1704) + coupl(nGC_195)*dZbL_QCD2/2d0 + coupl(&
                        nGC_195)*dZbR_QCD2/2d0
      coupl(nGC_1739) = coupl(nGC_381)*dyt_QED3 + coupl(nGC_383)*da_QED2
      coupl(nGC_1738) = coupl(nGC_1236)*dyc_QED1_QCD2
      coupl(nGC_1888) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*          &
                        dZnu_muL_QED2 + coupl(nGC_1791)
      coupl(nGC_1634) = coupl(nGC_1153)*dcw_QED2 + coupl(nGC_1154)*dsw_QED2 +  &
                        coupl(nGC_1155)*dZee_QED2
      coupl(nGC_2088) = -2d0*coupl(nGC_1679) - 4d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_1623) = (cima*coupl(nGC_20)**2d0 + 2d0*cima*coupl(nGC_20)*coupl&
                        (nGC_601) - cima*coupl(nGC_561)**4d0*sq2**4d0 + cima*  &
                        coupl(nGC_601)**2d0 - 2d0*coupl(nGC_20)*coupl(nGC_561  &
                        )**2d0*sq2**2d0 - 2d0*coupl(nGC_561)**2d0*coupl(nGC_601&
                        )*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_2081) = coupl(nGC_TS_GC_179_Hl) + coupl(nGC_TS_GC_184_Hh)
      coupl(nGC_2082) = coupl(nGC_101)*dZHh_QED2/2d0 + coupl(nGC_101)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_117)*dZHlHh_QED2/2d0 +   &
                        coupl(nGC_1747)
      coupl(nGC_1622) = (-Nc*cima*coupl(nGC_20)*coupl(nGC_595) + Nc*cima*coupl(&
                        nGC_561)**4d0*sq2**4d0 - Nc*cima*coupl(nGC_595)*coupl( &
                        nGC_601) + Nc*coupl(nGC_20)*coupl(nGC_561)**2d0*sq2**  &
                        2d0 + Nc*coupl(nGC_561)**2d0*coupl(nGC_595)*sq2**2d0 + &
                        Nc*coupl(nGC_561)**2d0*coupl(nGC_601)*sq2**2d0 - cima* &
                        coupl(nGC_19)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2085) = -coupl(nGC_1679) - 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2086) = 2d0*coupl(nGC_1679) + 4d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2087) = coupl(nGC_1679) + 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_1343) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_195) + 2d0*Nc&
                        *cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_219) + 2d0&
                        *Nc*cMB*coupl(nGC_195)*coupl(nGC_217)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_197)**2d0*coupl(nGC_199) + 2d0*Nc*cMC*coupl(&
                        nGC_197)*coupl(nGC_213)*coupl(nGC_215) + 2d0*Nc*cMC*   &
                        coupl(nGC_199)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_201)**2d0*coupl(nGC_203) + 2d0*Nc*cMD*coupl(nGC_201&
                        )*coupl(nGC_225)*coupl(nGC_227) + 2d0*Nc*cMD*coupl(    &
                        nGC_203)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(nGC_197&
                        )**2d0*coupl(nGC_215) + 2d0*Nc*cMS*coupl(nGC_197)*coupl&
                        (nGC_199)*coupl(nGC_213) + 2d0*Nc*cMS*coupl(nGC_213)** &
                        2d0*coupl(nGC_215) + 2d0*Nc*cMT*coupl(nGC_193)**2d0*   &
                        coupl(nGC_219) + 2d0*Nc*cMT*coupl(nGC_193)*coupl(      &
                        nGC_195)*coupl(nGC_217) + 2d0*Nc*cMT*coupl(nGC_217)**  &
                        2d0*coupl(nGC_219) + 2d0*Nc*cMU*coupl(nGC_201)**2d0*   &
                        coupl(nGC_227) + 2d0*Nc*cMU*coupl(nGC_201)*coupl(      &
                        nGC_203)*coupl(nGC_225) + 2d0*Nc*cMU*coupl(nGC_225)**  &
                        2d0*coupl(nGC_227) + 2d0*cME*coupl(nGC_205)**2d0*coupl(&
                        nGC_207) + 2d0*cMM*coupl(nGC_209)**2d0*coupl(nGC_211   &
                        ) + 2d0*cMTA*coupl(nGC_221)**2d0*coupl(nGC_223) + 4d0* &
                        cima*coupl(nGC_110)*coupl(nGC_166) + cima*coupl(nGC_141&
                        )*coupl(nGC_175) + 4d0*cima*coupl(nGC_15)*coupl(nGC_154&
                        ) + 2d0*cima*coupl(nGC_162)*coupl(nGC_71))/(16d0*pi**  &
                        2d0)
      coupl(nGC_2054) = coupl(nGC_19)*dZuR_QED2
      coupl(nGC_2013) = coupl(nGC_1866) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl( &
                        nGC_MD)*dZdR_QED2/2d0 + coupl(nGC_TS_GC_203_Hh) + coupl&
                        (nGC_TS_GC_204_Hl)
      coupl(nGC_2158) = 2d0*coupl(nGC_1679) + 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2159) = coupl(nGC_1673)/2d0 + coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_2017) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_125)*dZZ_QED2/  &
                        2d0 + coupl(nGC_125)*dZsL_QED2 + coupl(nGC_1790)
      coupl(nGC_2014) = coupl(nGC_1867) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_2152) = coupl(nGC_100)*dZHhHl_QED2/2d0 + coupl(nGC_118)*       &
                        dZHl_QED2/2d0 + coupl(nGC_118)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_1752)
      coupl(nGC_2019) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_122)*dZZ_QED2/  &
                        2d0 + coupl(nGC_122)*dZsR_QED2 + coupl(nGC_1789)
      coupl(nGC_2018) = coupl(nGC_125)*dZsL_QCD2
      coupl(nGC_2157) = coupl(nGC_1679) + coupl(nGC_21)*dZg_QCD2
      coupl(nGC_1948) = coupl(nGC_1758) + coupl(nGC_92)*dZHhHl_QED2 + coupl(   &
                        nGC_96)*dZHl_QED2 + coupl(nGC_96)*dZWMinus_QED2
      coupl(nGC_1941) = coupl(nGC_1754) + coupl(nGC_73)*dZWMinus_QED2
      coupl(nGC_1943) = coupl(nGC_103)*dZZA_QED2/2d0 + coupl(nGC_1749) + coupl(&
                        nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2
      coupl(nGC_TS_GC_110_Hh) = -coupl(nGC_110)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1945) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_1672)
      coupl(nGC_1946) = coupl(nGC_1716) + coupl(nGC_222)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_222)*dZtauMinusR_QED2/2d0
      coupl(nGC_1947) = -coupl(nGC_1716) - coupl(nGC_222)*dZtauMinusL_QED2/2d0 &
                         - coupl(nGC_222)*dZtauMinusR_QED2/2d0
      coupl(nGC_2093) = coupl(nGC_1730) + coupl(nGC_227)*dZuL_QCD2/2d0 + coupl(&
                        nGC_227)*dZuR_QCD2/2d0
      coupl(nGC_2238) = coupl(nGC_1861) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_1649) = coupl(nGC_1036)*da_QED2 + coupl(nGC_1037)*dl2_QED4 +   &
                        coupl(nGC_1038)*dl1_QED4 + coupl(nGC_1039)*dl3_QED4
      coupl(nGC_1647) = coupl(nGC_810)*da_QED2 + coupl(nGC_811)*dl1_QED4 +     &
                        coupl(nGC_812)*dl3_QED4
      coupl(nGC_1646) = coupl(nGC_1067)*dcw_QED2 + coupl(nGC_1068)*dsw_QED2 +  &
                        coupl(nGC_1069)*dZee_QED2 + coupl(nGC_1070)*da_QED2
      coupl(nGC_1645) = coupl(nGC_792)*dcw_QED2 + coupl(nGC_793)*dZee_QED2 +   &
                        coupl(nGC_794)*da_QED2
      coupl(nGC_1644) = coupl(nGC_861)*da_QED2 + coupl(nGC_862)*dl2_QED4 +     &
                        coupl(nGC_863)*dl1_QED4 + coupl(nGC_864)*dl3_QED4
      coupl(nGC_1643) = coupl(nGC_816)*da_QED2 + coupl(nGC_817)*dl1_QED4 +     &
                        coupl(nGC_818)*dl3_QED4
      coupl(nGC_1642) = coupl(nGC_840)*da_QED2 + coupl(nGC_841)*dl2_QED4 +     &
                        coupl(nGC_842)*dl1_QED4 + coupl(nGC_843)*dl3_QED4
      coupl(nGC_1641) = coupl(nGC_851)*da_QED2 + coupl(nGC_852)*dl2_QED4 +     &
                        coupl(nGC_853)*dl1_QED4 + coupl(nGC_854)*dl3_QED4
      coupl(nGC_1640) = coupl(nGC_813)*da_QED2 + coupl(nGC_814)*dl1_QED4 +     &
                        coupl(nGC_815)*dl3_QED4
      coupl(nGC_2102) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_1710) = coupl(nGC_1227)*dyb_QED1_QCD2
      coupl(nGC_1399) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_569) -    &
                        coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_569) - coupl(nGC_218)*coupl&
                        (nGC_219)**2d0 - coupl(nGC_218)*coupl(nGC_220)**2d0 -  &
                        coupl(nGC_218)*coupl(nGC_569)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1398) = coupl(nGC_19)**2d0*coupl(nGC_214)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1468) = coupl(nGC_19)**2d0*coupl(nGC_228)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1541) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_195)*coupl(  &
                        nGC_196) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_203 &
                        )*coupl(nGC_204) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_215)*coupl(nGC_216) - 2d0*Nc*cima*coupl(nGC_199)*  &
                        coupl(nGC_2)**2d0*coupl(nGC_200) - 2d0*Nc*cima*coupl(  &
                        nGC_2)**2d0*coupl(nGC_219)*coupl(nGC_220) - 2d0*Nc*cima&
                        *coupl(nGC_2)**2d0*coupl(nGC_227)*coupl(nGC_228) - 2d0*&
                        cima*coupl(nGC_207)*coupl(nGC_208)*coupl(nGC_4)**2d0 - &
                        2d0*cima*coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_4)**  &
                        2d0 - 2d0*cima*coupl(nGC_223)*coupl(nGC_224)*coupl(    &
                        nGC_4)**2d0 + cima*coupl(nGC_9)*coupl(nGC_92) + coupl( &
                        nGC_3)**2d0*coupl(nGC_92) + coupl(nGC_525)**2d0*coupl( &
                        nGC_92))/(8d0*pi**2d0)
      coupl(nGC_1463) = coupl(nGC_19)**2d0*coupl(nGC_220)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1462) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -    &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_220) - coupl(nGC_218)**2d0*&
                        coupl(nGC_220) - coupl(nGC_219)**2d0*coupl(nGC_220) -  &
                        coupl(nGC_220)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1461) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -    &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_220) - coupl(nGC_219)**2d0*&
                        coupl(nGC_220) - coupl(nGC_220)**3d0 - coupl(nGC_220)* &
                        coupl(nGC_569)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1460) = coupl(nGC_19)**2d0*coupl(nGC_216)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1467) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_228) - coupl(nGC_201)*    &
                        coupl(nGC_204)*coupl(nGC_225) - coupl(nGC_226)**2d0*   &
                        coupl(nGC_228) - coupl(nGC_227)**2d0*coupl(nGC_228) -  &
                        coupl(nGC_228)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1466) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_228) - coupl(nGC_201)*    &
                        coupl(nGC_204)*coupl(nGC_225) - coupl(nGC_227)**2d0*   &
                        coupl(nGC_228) - coupl(nGC_228)**3d0 - coupl(nGC_228)* &
                        coupl(nGC_521)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1465) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_223)**2d0 - coupl(nGC_224)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_527)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1464) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_222)**2d0 - coupl(nGC_223)**2d0 - coupl(     &
                        nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2050) = coupl(nGC_147)*dZHhHl_QED2 + coupl(nGC_151)*dZHl_QED2  &
                         + coupl(nGC_151)*dZZ_QED2 + coupl(nGC_1778)
      coupl(nGC_1497) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(     &
                        nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_214)*coupl(   &
                        nGC_567) + coupl(nGC_125)*coupl(nGC_215)**2d0 + coupl( &
                        nGC_125)*coupl(nGC_216)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_213)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1494) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_209)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1547) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(    &
                        nGC_2)**4d0 - 2d0*cima*coupl(nGC_3)**4d0 + 2d0*cima*   &
                        coupl(nGC_4)**4d0 - 2d0*cima*coupl(nGC_525)**4d0 + cima&
                        *coupl(nGC_9)**2d0 + 2d0*coupl(nGC_3)**2d0*coupl(nGC_9 &
                        ) + 2d0*coupl(nGC_525)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_1492) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_210)*coupl(     &
                        nGC_553) + coupl(nGC_128)*coupl(nGC_211)**2d0 + coupl( &
                        nGC_128)*coupl(nGC_212)**2d0 + coupl(nGC_129)*coupl(   &
                        nGC_209)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1493) = (-2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124&
                        )*coupl(nGC_210)*coupl(nGC_553) + coupl(nGC_124)*coupl(&
                        nGC_211)**2d0 + coupl(nGC_124)*coupl(nGC_212)**2d0 +   &
                        4d0*coupl(nGC_128)**3d0 + 4d0*coupl(nGC_128)*coupl(    &
                        nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1490) = (-2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124&
                        )*coupl(nGC_206)*coupl(nGC_587) + coupl(nGC_124)*coupl(&
                        nGC_207)**2d0 + coupl(nGC_124)*coupl(nGC_208)**2d0 +   &
                        4d0*coupl(nGC_128)**3d0 + 4d0*coupl(nGC_128)*coupl(    &
                        nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1491) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_205)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1498) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_122 &
                        )*coupl(nGC_193)**2d0 + coupl(nGC_123)*coupl(nGC_218)* &
                        coupl(nGC_569) + coupl(nGC_123)*coupl(nGC_219)**2d0 +  &
                        coupl(nGC_123)*coupl(nGC_220)**2d0 + 4d0*coupl(nGC_125 &
                        )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0*  &
                        coupl(nGC_126)*coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1499) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(   &
                        nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_217)**2d0 +     &
                        coupl(nGC_126)*coupl(nGC_218)*coupl(nGC_569) + coupl(  &
                        nGC_126)*coupl(nGC_219)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_220)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1904) = coupl(nGC_1647) + coupl(nGC_29)*dZHh_QED2/2d0 + coupl( &
                        nGC_29)*dZHl_QED2/2d0 + coupl(nGC_30)*dZHlHh_QED2/2d0  &
                         + coupl(nGC_31)*dZHhHl_QED2/2d0
      coupl(nGC_1905) = coupl(nGC_161)*dZHh_QED2/2d0 + coupl(nGC_165)*         &
                        dZHlHh_QED2/2d0 + coupl(nGC_1669)
      coupl(nGC_1906) = coupl(nGC_16)*dZHhHl_QED2/2d0 + coupl(nGC_1645) + coupl&
                        (nGC_27)*dZHl_QED2/2d0
      coupl(nGC_1267) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_196)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_200)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_204)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_216)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_220)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_228)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_208)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_212)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_224 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_96) - cMZ**2d0*coupl(  &
                        nGC_151) + 2d0*cima*coupl(nGC_164)**2d0 + cima*coupl(  &
                        nGC_177)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1907) = coupl(nGC_115)*dZWMinus_QED2 + coupl(nGC_1759)
      coupl(nGC_1261) = cima*(Nc*coupl(nGC_193)**2d0 + Nc*coupl(nGC_197)**2d0  &
                         + Nc*coupl(nGC_201)**2d0 + Nc*coupl(nGC_213)**2d0 + Nc&
                        *coupl(nGC_217)**2d0 + Nc*coupl(nGC_225)**2d0 + coupl( &
                        nGC_205)**2d0 + coupl(nGC_209)**2d0 + coupl(nGC_221)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_1262) = (-Nc*cMB**2d0*cima*coupl(nGC_193)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_217)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_197)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_213)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_201)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_225)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_197  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_213)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_193)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_217)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_201)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_225)**2d0 - cME**2d0*cima&
                        *coupl(nGC_205)**2d0 - cMM**2d0*cima*coupl(nGC_209)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_221)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_71) - cMZ**2d0*coupl(nGC_141) + 2d0*cima*   &
                        coupl(nGC_154)**2d0 + 2d0*cima*coupl(nGC_166)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_1900) = coupl(nGC_19)*dZcR_QED2
      coupl(nGC_1269) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)*coupl(nGC_196) - &
                        4d0*Nc*cMC**2d0*cima*coupl(nGC_199)*coupl(nGC_200) -   &
                        4d0*Nc*cMD**2d0*cima*coupl(nGC_203)*coupl(nGC_204) -   &
                        4d0*Nc*cMS**2d0*cima*coupl(nGC_215)*coupl(nGC_216) -   &
                        4d0*Nc*cMT**2d0*cima*coupl(nGC_219)*coupl(nGC_220) -   &
                        4d0*Nc*cMU**2d0*cima*coupl(nGC_227)*coupl(nGC_228) -   &
                        4d0*cME**2d0*cima*coupl(nGC_207)*coupl(nGC_208) - 4d0* &
                        cMM**2d0*cima*coupl(nGC_211)*coupl(nGC_212) - 4d0*cMTA &
                        **2d0*cima*coupl(nGC_223)*coupl(nGC_224) - 2d0*cMW**2d0&
                        *coupl(nGC_92) - cMZ**2d0*coupl(nGC_147) + 2d0*cima*   &
                        coupl(nGC_162)*coupl(nGC_164) + cima*coupl(nGC_175)*   &
                        coupl(nGC_177))/(16d0*pi**2d0)
      coupl(nGC_1268) = cima*(Nc*coupl(nGC_195)*coupl(nGC_196) + Nc*coupl(     &
                        nGC_199)*coupl(nGC_200) + Nc*coupl(nGC_203)*coupl(     &
                        nGC_204) + Nc*coupl(nGC_215)*coupl(nGC_216) + Nc*coupl(&
                        nGC_219)*coupl(nGC_220) + Nc*coupl(nGC_227)*coupl(     &
                        nGC_228) + coupl(nGC_207)*coupl(nGC_208) + coupl(      &
                        nGC_211)*coupl(nGC_212) + coupl(nGC_223)*coupl(nGC_224 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1901) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_115)*dZA_QED2/ &
                        2d0 + coupl(nGC_115)*dZZ_QED2/2d0 + coupl(nGC_1759) +  &
                        coupl(nGC_86)*dZZA_QED2/2d0
      coupl(nGC_1737) = coupl(nGC_1236)*dyc_QED3 + coupl(nGC_1237)*da_QED2
      coupl(nGC_1454) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(     &
                        nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1304) = cima*(-coupl(nGC_129)**2d0 - coupl(nGC_99)**2d0)/(16d0*&
                        pi**2d0)
      coupl(nGC_1455) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_211)**2d0 - coupl(nGC_212)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_553)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1303) = cMM*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1300) = cima*sq2**2d0*(-Nc*coupl(nGC_561)**2d0 + 6d0*coupl(    &
                        nGC_19)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_1397) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_214) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_214) - coupl(nGC_197 &
                        )*coupl(nGC_213)*coupl(nGC_579) - coupl(nGC_214)**2d0* &
                        coupl(nGC_567) - coupl(nGC_215)**2d0*coupl(nGC_567) -  &
                        coupl(nGC_216)**2d0*coupl(nGC_567))/(32d0*pi**2d0)
      coupl(nGC_2233) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2
      coupl(nGC_1736) = coupl(nGC_1168)*dyup_QED1_QCD2
      coupl(nGC_2148) = coupl(nGC_134)*dZAZ_QED2 + coupl(nGC_141)*dZZ_QED2 +   &
                        coupl(nGC_1775)
      coupl(nGC_2048) = coupl(nGC_1746) + coupl(nGC_98)*dZWMinus_QED2/2d0
      coupl(nGC_2049) = coupl(nGC_162)*dZHhHl_QED2/2d0 + coupl(nGC_164)*       &
                        dZHl_QED2/2d0 + coupl(nGC_164)*dZWMinus_QED2 + coupl(  &
                        nGC_1761) + coupl(nGC_TS_GC_92_Hh) + coupl(            &
                        nGC_TS_GC_96_Hl)
      coupl(nGC_2044) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_125)*dZZ_QED2/  &
                        2d0 + coupl(nGC_125)*dZdL_QED2 + coupl(nGC_1790)
      coupl(nGC_2045) = coupl(nGC_125)*dZdL_QCD2
      coupl(nGC_2046) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_122)*dZZ_QED2/  &
                        2d0 + coupl(nGC_122)*dZdR_QED2 + coupl(nGC_1789)
      coupl(nGC_2047) = coupl(nGC_122)*dZdR_QCD2
      coupl(nGC_2040) = coupl(nGC_142)*dZZ_QED2 + coupl(nGC_1774)
      coupl(nGC_2042) = coupl(nGC_1648) + 3d0*coupl(nGC_33)*dZHh_QED2/2d0 +    &
                        coupl(nGC_33)*dZHl_QED2/2d0 + coupl(nGC_35)*dZHhHl_QED2&
                        /2d0 + 3d0*coupl(nGC_36)*dZHlHh_QED2/2d0
      coupl(nGC_2043) = -coupl(nGC_1674)/2d0 - coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_1630) = coupl(nGC_1011)*dcw_QED2 + coupl(nGC_1012)*dsw_QED2 +  &
                        coupl(nGC_1013)*dZee_QED2
      coupl(nGC_1735) = coupl(nGC_1168)*dyup_QED3 + coupl(nGC_1169)*da_QED2
      coupl(nGC_1988) = coupl(nGC_116)*dZA_QED2/2d0 + coupl(nGC_116)*          &
                        dZWMinus_QED2 + coupl(nGC_116)*dZZ_QED2/2d0 + coupl(   &
                        nGC_1773) - coupl(nGC_8)*dZAZ_QED2 + coupl(nGC_85)*    &
                        dZZA_QED2/2d0
      coupl(nGC_2143) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZtauMinusR_QED2
      coupl(nGC_2142) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZtauMinusL_QED2
      coupl(nGC_1602) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_196)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_204)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_216)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(   &
                        nGC_196)**2d0 + 10d0*Nc*cima*coupl(nGC_122)*coupl(     &
                        nGC_125)*coupl(nGC_204)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_216)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_200)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_220)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_228)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl(   &
                        nGC_220)**2d0 + 10d0*Nc*cima*coupl(nGC_123)*coupl(     &
                        nGC_126)*coupl(nGC_228)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_125)**2d0*coupl(nGC_196)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_204)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_216)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_200)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_220)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_228)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_208)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_212)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_224)**2d0 + 10d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_128)*coupl(nGC_208)**2d0 + 10d0*cima&
                        *coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_212)**2d0 +   &
                        10d0*cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_224  &
                        )**2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_208)** &
                        2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_212)**2d0 &
                         - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_224)**2d0 +  &
                        3d0*cima*coupl(nGC_85)*coupl(nGC_96) + 3d0*coupl(      &
                        nGC_103)**2d0*coupl(nGC_96) + 3d0*coupl(nGC_539)**2d0* &
                        coupl(nGC_96))/(24d0*pi**2d0)
      coupl(nGC_1600) = (9d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0 -  &
                        15d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_99&
                        )**2d0 + 9d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_99  &
                        )**2d0 - 4d0*cima*coupl(nGC_102)*coupl(nGC_103)**2d0*  &
                        coupl(nGC_539) - 4d0*cima*coupl(nGC_103)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_525) + 9d0*cima*coupl(nGC_128)**2d0*  &
                        coupl(nGC_99)**2d0 - 15d0*cima*coupl(nGC_128)*coupl(   &
                        nGC_129)*coupl(nGC_99)**2d0 + 9d0*cima*coupl(nGC_129)**&
                        2d0*coupl(nGC_99)**2d0 + 3d0*cima*coupl(nGC_575)*coupl(&
                        nGC_85) + 3d0*coupl(nGC_102)*coupl(nGC_539)*coupl(     &
                        nGC_85) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_575) + 3d0*&
                        coupl(nGC_4)*coupl(nGC_525)*coupl(nGC_85) + 3d0*coupl( &
                        nGC_539)**2d0*coupl(nGC_575))/(24d0*pi**2d0)
      coupl(nGC_1606) = -cima*coupl(nGC_19)**2d0*coupl(nGC_99)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1604) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_195)**2d0 &
                         - coupl(nGC_199)**2d0 - coupl(nGC_203)**2d0 - coupl(  &
                        nGC_215)**2d0 - coupl(nGC_219)**2d0 - coupl(nGC_227)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_1609) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_196)**2d0  &
                         + coupl(nGC_200)**2d0 + coupl(nGC_204)**2d0 + coupl(  &
                        nGC_216)**2d0 + coupl(nGC_220)**2d0 + coupl(nGC_228)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1608) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_195)*coupl&
                        (nGC_196) - coupl(nGC_199)*coupl(nGC_200) - coupl(     &
                        nGC_203)*coupl(nGC_204) - coupl(nGC_215)*coupl(nGC_216 &
                        ) - coupl(nGC_219)*coupl(nGC_220) - coupl(nGC_227)*    &
                        coupl(nGC_228))/(16d0*pi**2d0)
      coupl(nGC_1959) = coupl(nGC_115)*dZAZ_QED2 + coupl(nGC_1755) + coupl(    &
                        nGC_86)*dZZ_QED2
      coupl(nGC_1636) = coupl(nGC_1210)*dcw_QED2 + coupl(nGC_1211)*dsw_QED2 +  &
                        coupl(nGC_1212)*dZee_QED2 + coupl(nGC_1213)*da_QED2
      coupl(nGC_1953) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2
      coupl(nGC_2161) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZmuMinusR_QED2
      coupl(nGC_1495) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_221)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2164) = coupl(nGC_1870) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl( &
                        nGC_MB)*dZbR_QED2/2d0 + coupl(nGC_TS_GC_195_Hh) + coupl&
                        (nGC_TS_GC_196_Hl)
      coupl(nGC_2169) = coupl(nGC_126)*dZuL_QCD2
      coupl(nGC_2168) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZuL_QED2 &
                         + coupl(nGC_1787) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_1528) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - coupl(nGC_201)**2d0 - coupl(nGC_226)*   &
                        coupl(nGC_521) - coupl(nGC_227)**2d0 - coupl(nGC_228)**&
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1931) = coupl(nGC_19)*dZbL_QED2
      coupl(nGC_1930) = coupl(nGC_1785) + coupl(nGC_19)*dZbL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1933) = coupl(nGC_19)*dZbR_QED2
      coupl(nGC_1482) = coupl(nGC_122)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1935) = coupl(nGC_1643) + coupl(nGC_29)*dZHhHl_QED2 + coupl(   &
                        nGC_30)*dZHl_QED2
      coupl(nGC_1934) = -coupl(nGC_105)*dZWMinus_QED2/4d0 - coupl(nGC_1676)/2d0
      coupl(nGC_1937) = coupl(nGC_1725) + coupl(nGC_198)*dZcL_QED2/2d0 + coupl(&
                        nGC_198)*dZcR_QED2/2d0
      coupl(nGC_1939) = -coupl(nGC_1725) - coupl(nGC_198)*dZcL_QED2/2d0 - coupl&
                        (nGC_198)*dZcR_QED2/2d0
      coupl(nGC_1484) = coupl(nGC_126)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2264) = -coupl(nGC_1366)
      coupl(nGC_2265) = -coupl(nGC_1367)
      coupl(nGC_2261) = -coupl(nGC_1348)
      coupl(nGC_2263) = -coupl(nGC_1312)
      coupl(nGC_1500) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_222)*coupl(     &
                        nGC_527) + coupl(nGC_128)*coupl(nGC_223)**2d0 + coupl( &
                        nGC_128)*coupl(nGC_224)**2d0 + coupl(nGC_129)*coupl(   &
                        nGC_221)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1486) = coupl(nGC_123)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1505) = -coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                        nGC_561) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_1593) = (-8d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_99)**2d0 - &
                        8d0*Nc*cima*coupl(nGC_200)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_204)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_216)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_220)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_228)**2d0*coupl(nGC_99)**2d0 +   &
                        3d0*cima*coupl(nGC_151)*coupl(nGC_85) - 8d0*cima*coupl(&
                        nGC_208)**2d0*coupl(nGC_99)**2d0 - 8d0*cima*coupl(     &
                        nGC_212)**2d0*coupl(nGC_99)**2d0 - 8d0*cima*coupl(     &
                        nGC_224)**2d0*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                        nGC_575)*coupl(nGC_96) + 6d0*coupl(nGC_102)*coupl(     &
                        nGC_539)*coupl(nGC_96) + 6d0*coupl(nGC_103)*coupl(     &
                        nGC_151)*coupl(nGC_609) + 6d0*coupl(nGC_4)*coupl(      &
                        nGC_525)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_1592) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_195)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_203)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_215)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(   &
                        nGC_195)**2d0 + 10d0*Nc*cima*coupl(nGC_122)*coupl(     &
                        nGC_125)*coupl(nGC_203)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_215)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_199)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_219)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_227)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl(   &
                        nGC_219)**2d0 + 10d0*Nc*cima*coupl(nGC_123)*coupl(     &
                        nGC_126)*coupl(nGC_227)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_125)**2d0*coupl(nGC_195)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_203)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_215)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_199)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_219)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_227)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_207)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_211)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_223)**2d0 + 10d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_128)*coupl(nGC_207)**2d0 + 10d0*cima&
                        *coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_211)**2d0 +   &
                        10d0*cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_223  &
                        )**2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_207)** &
                        2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_211)**2d0 &
                         - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_223)**2d0 +  &
                        3d0*cima*coupl(nGC_82)*coupl(nGC_85) + 3d0*coupl(      &
                        nGC_103)**2d0*coupl(nGC_82) + 3d0*coupl(nGC_539)**2d0* &
                        coupl(nGC_82))/(24d0*pi**2d0)
      coupl(nGC_1591) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_122) + coupl(nGC_1)*coupl(nGC_125) + coupl(nGC_123 &
                        )*coupl(nGC_2) + coupl(nGC_126)*coupl(nGC_2))/(32d0*pi &
                        **2d0)
      coupl(nGC_1590) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_122) - coupl(nGC_1)*coupl(nGC_125) - coupl(nGC_123 &
                        )*coupl(nGC_2) - coupl(nGC_126)*coupl(nGC_2))/(32d0*pi &
                        **2d0*Nc)
      coupl(nGC_1595) = cima*(20d0*Nc*coupl(nGC_196)**4d0 + 20d0*Nc*coupl(     &
                        nGC_200)**4d0 + 20d0*Nc*coupl(nGC_204)**4d0 + 20d0*Nc* &
                        coupl(nGC_216)**4d0 + 20d0*Nc*coupl(nGC_220)**4d0 +    &
                        20d0*Nc*coupl(nGC_228)**4d0 + 3d0*coupl(nGC_151)**2d0  &
                         + 20d0*coupl(nGC_208)**4d0 + 20d0*coupl(nGC_212)**4d0 &
                         + 20d0*coupl(nGC_224)**4d0 + 6d0*coupl(nGC_96)**2d0)/(&
                        16d0*pi**2d0)
      coupl(nGC_TS_GC_151_Hl) = -coupl(nGC_151)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1984) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*          &
                        dZnu_tauL_QED2 + coupl(nGC_1791)
      coupl(nGC_1985) = coupl(nGC_1665) + coupl(nGC_174)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_178)*dZHl_QED2/2d0
      coupl(nGC_1599) = (18d0*Nc*cima*coupl(nGC_99)**4d0 - 4d0*cima*coupl(     &
                        nGC_102)**2d0*coupl(nGC_539)**2d0 - 8d0*cima*coupl(    &
                        nGC_102)*coupl(nGC_103)*coupl(nGC_539)*coupl(nGC_609   &
                        ) - 8d0*cima*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_525 &
                        )*coupl(nGC_609) - 8d0*cima*coupl(nGC_102)*coupl(nGC_4 &
                        )*coupl(nGC_525)*coupl(nGC_539) - 4d0*cima*coupl(      &
                        nGC_103)**2d0*coupl(nGC_609)**2d0 - 8d0*cima*coupl(    &
                        nGC_103)*coupl(nGC_3)*coupl(nGC_583)*coupl(nGC_609) -  &
                        8d0*cima*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_539)*   &
                        coupl(nGC_583) + 6d0*cima*coupl(nGC_116)**2d0 - 4d0*   &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_583)**2d0 - 8d0*cima* &
                        coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_525)*coupl(nGC_583 &
                        ) - 4d0*cima*coupl(nGC_4)**2d0*coupl(nGC_525)**2d0 +   &
                        6d0*cima*coupl(nGC_575)**2d0 + 3d0*cima*coupl(nGC_85)**&
                        2d0 + 3d0*cima*coupl(nGC_9)**2d0 + 18d0*cima*coupl(    &
                        nGC_99)**4d0 + 6d0*coupl(nGC_102)*coupl(nGC_116)*coupl(&
                        nGC_525) + 6d0*coupl(nGC_102)*coupl(nGC_539)*coupl(    &
                        nGC_575) + 6d0*coupl(nGC_102)*coupl(nGC_539)*coupl(    &
                        nGC_85) + 6d0*coupl(nGC_103)*coupl(nGC_116)*coupl(     &
                        nGC_583) + 6d0*coupl(nGC_103)*coupl(nGC_575)*coupl(    &
                        nGC_609) + 6d0*coupl(nGC_103)*coupl(nGC_609)*coupl(    &
                        nGC_85) + 6d0*coupl(nGC_116)*coupl(nGC_3)*coupl(nGC_609&
                        ) + 6d0*coupl(nGC_116)*coupl(nGC_4)*coupl(nGC_539) +   &
                        6d0*coupl(nGC_3)*coupl(nGC_575)*coupl(nGC_583) + 6d0*  &
                        coupl(nGC_3)*coupl(nGC_583)*coupl(nGC_9) + 6d0*coupl(  &
                        nGC_4)*coupl(nGC_525)*coupl(nGC_575) + 6d0*coupl(nGC_4 &
                        )*coupl(nGC_525)*coupl(nGC_9))/(48d0*pi**2d0)
      coupl(nGC_1598) = (-30d0*Nc*cima*coupl(nGC_99)**4d0 - 4d0*cima*coupl(    &
                        nGC_102)**2d0*coupl(nGC_539)**2d0 - 8d0*cima*coupl(    &
                        nGC_102)*coupl(nGC_103)*coupl(nGC_539)*coupl(nGC_609   &
                        ) - 8d0*cima*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_525 &
                        )*coupl(nGC_609) - 8d0*cima*coupl(nGC_102)*coupl(nGC_4 &
                        )*coupl(nGC_525)*coupl(nGC_539) - 4d0*cima*coupl(      &
                        nGC_103)**2d0*coupl(nGC_609)**2d0 - 8d0*cima*coupl(    &
                        nGC_103)*coupl(nGC_3)*coupl(nGC_583)*coupl(nGC_609) -  &
                        8d0*cima*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_539)*   &
                        coupl(nGC_583) - 4d0*cima*coupl(nGC_3)**2d0*coupl(     &
                        nGC_583)**2d0 - 8d0*cima*coupl(nGC_3)*coupl(nGC_4)*    &
                        coupl(nGC_525)*coupl(nGC_583) - 4d0*cima*coupl(nGC_4)**&
                        2d0*coupl(nGC_525)**2d0 + 3d0*cima*coupl(nGC_75)**2d0  &
                         - 30d0*cima*coupl(nGC_99)**4d0 + 6d0*coupl(nGC_102)*  &
                        coupl(nGC_609)*coupl(nGC_75) + 6d0*coupl(nGC_103)*coupl&
                        (nGC_539)*coupl(nGC_75) + 6d0*coupl(nGC_3)*coupl(      &
                        nGC_525)*coupl(nGC_75) + 6d0*coupl(nGC_4)*coupl(nGC_583&
                        )*coupl(nGC_75))/(48d0*pi**2d0)
      coupl(nGC_1980) = coupl(nGC_162)*dZHh_QED2/2d0 + coupl(nGC_162)*         &
                        dZWMinus_QED2 + coupl(nGC_164)*dZHlHh_QED2/2d0 + coupl(&
                        nGC_1760) + coupl(nGC_TS_GC_82_Hh) + coupl(            &
                        nGC_TS_GC_92_Hl)
      coupl(nGC_1981) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_134)*dZZA_QED2 +    &
                        coupl(nGC_1672)
      coupl(nGC_1677) = coupl(nGC_877)*dcw_QED2 + coupl(nGC_878)*dsw_QED2 +    &
                        coupl(nGC_879)*dZee_QED2
      coupl(nGC_1983) = coupl(nGC_116)*dZZA_QED2 - 2d0*coupl(nGC_1762) - 2d0*  &
                        coupl(nGC_8)*dZA_QED2 - 2d0*coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_1435) = coupl(nGC_223)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_222)**2d0 - coupl(nGC_223)**2d0 - coupl(     &
                        nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1436) = coupl(nGC_223)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_223)**2d0 - coupl(nGC_224)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_527)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1437) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_227) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_227) - coupl(nGC_201)*    &
                        coupl(nGC_203)*coupl(nGC_225) - coupl(nGC_227)**3d0 -  &
                        coupl(nGC_227)*coupl(nGC_228)**2d0 - coupl(nGC_227)*   &
                        coupl(nGC_521)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1346) = coupl(nGC_99)*(-Nc*coupl(nGC_193)*coupl(nGC_194) + Nc* &
                        coupl(nGC_197)*coupl(nGC_579) - Nc*coupl(nGC_201)*coupl&
                        (nGC_202) - Nc*coupl(nGC_213)*coupl(nGC_214) + Nc*coupl&
                        (nGC_217)*coupl(nGC_569) + Nc*coupl(nGC_225)*coupl(    &
                        nGC_521) - coupl(nGC_205)*coupl(nGC_206) - coupl(      &
                        nGC_209)*coupl(nGC_210) - coupl(nGC_221)*coupl(nGC_222 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1349) = (Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99) -  &
                        Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(nGC_99) - Nc&
                        *cMB*coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_99) + Nc* &
                        cMC*coupl(nGC_123)*coupl(nGC_197)*coupl(nGC_99) - Nc*  &
                        cMC*coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_99) - Nc*  &
                        cMC*coupl(nGC_126)*coupl(nGC_197)*coupl(nGC_99) + Nc*  &
                        cMD*coupl(nGC_122)*coupl(nGC_201)*coupl(nGC_99) - Nc*  &
                        cMD*coupl(nGC_125)*coupl(nGC_201)*coupl(nGC_99) - Nc*  &
                        cMD*coupl(nGC_126)*coupl(nGC_201)*coupl(nGC_99) + Nc*  &
                        cMS*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_99) - Nc*  &
                        cMS*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_99) - Nc*  &
                        cMS*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_99) + Nc*  &
                        cMT*coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_99) - Nc*  &
                        cMT*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_99) - Nc*  &
                        cMT*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_99) + Nc*  &
                        cMU*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) - Nc*  &
                        cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) - Nc*  &
                        cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99) + cME* &
                        coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99) - cME*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_99) - cME*coupl(    &
                        nGC_129)*coupl(nGC_205)*coupl(nGC_99) + cMM*coupl(     &
                        nGC_124)*coupl(nGC_209)*coupl(nGC_99) - cMM*coupl(     &
                        nGC_128)*coupl(nGC_209)*coupl(nGC_99) - cMM*coupl(     &
                        nGC_129)*coupl(nGC_209)*coupl(nGC_99) + cMTA*coupl(    &
                        nGC_124)*coupl(nGC_221)*coupl(nGC_99) - cMTA*coupl(    &
                        nGC_128)*coupl(nGC_221)*coupl(nGC_99) - cMTA*coupl(    &
                        nGC_129)*coupl(nGC_221)*coupl(nGC_99) + 2d0*cima*coupl(&
                        nGC_113)*coupl(nGC_166) + 2d0*cima*coupl(nGC_154)*coupl&
                        (nGC_84) + 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl(    &
                        nGC_154) + 2d0*coupl(nGC_103)*coupl(nGC_166)*coupl(    &
                        nGC_4))/(16d0*pi**2d0)
      coupl(nGC_1893) = coupl(nGC_110)*dZAZ_QED2/2d0 + coupl(nGC_15)*dZHh_QED2/&
                        2d0 + coupl(nGC_15)*dZWMinus_QED2/2d0 + coupl(nGC_15)* &
                        dZZ_QED2/2d0 + coupl(nGC_1769) + coupl(nGC_28)*        &
                        dZHlHh_QED2/2d0
      coupl(nGC_1337) = (coupl(nGC_1)*coupl(nGC_193)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(    &
                        nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(   &
                        nGC_218)*coupl(nGC_569) + coupl(nGC_2)*coupl(nGC_219)**&
                        2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0 + 2d0*coupl(    &
                        nGC_3)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1336) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_122&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_214)*coupl(nGC_567) +  &
                        coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_216)**2d0 + coupl(nGC_2)*coupl(nGC_213)**2d0)/(32d0&
                        *pi**2d0)
      coupl(nGC_1335) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_125&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_214)*coupl(nGC_567) +  &
                        coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_216)**2d0 + coupl(nGC_197)**2d0*coupl(nGC_2) + 4d0*&
                        coupl(nGC_2)*coupl(nGC_99)**2d0 + 2d0*coupl(nGC_525)*  &
                        coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1334) = (coupl(nGC_221)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1333) = (coupl(nGC_209)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1332) = (coupl(nGC_205)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1331) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_210)*&
                        coupl(nGC_4)*coupl(nGC_553) + coupl(nGC_211)**2d0*coupl&
                        (nGC_4) + coupl(nGC_212)**2d0*coupl(nGC_4) - 2d0*coupl(&
                        nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_1330) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_210)*&
                        coupl(nGC_553) + coupl(nGC_211)**2d0 + coupl(nGC_212)**&
                        2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1703) = coupl(nGC_1221)*dyb_QED3 + coupl(nGC_1222)*da_QED2
      coupl(nGC_1339) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_222)*&
                        coupl(nGC_527) + coupl(nGC_223)**2d0 + coupl(nGC_224)**&
                        2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1338) = (coupl(nGC_1)*coupl(nGC_217)**2d0 + 4d0*coupl(nGC_123  &
                        )**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(   &
                        nGC_2)*coupl(nGC_218)*coupl(nGC_569) + coupl(nGC_2)*   &
                        coupl(nGC_219)**2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_TS_GC_100_Hh) = -coupl(nGC_100)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1892) = coupl(nGC_114)*dZA_QED2/2d0 + coupl(nGC_114)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_1742) + coupl(nGC_83)*   &
                        dZZA_QED2/2d0
      coupl(nGC_1890) = coupl(nGC_110)*dZA_QED2/2d0 + coupl(nGC_110)*dZHh_QED2/&
                        2d0 + coupl(nGC_110)*dZWMinus_QED2/2d0 + coupl(nGC_120 &
                        )*dZHlHh_QED2/2d0 + coupl(nGC_15)*dZZA_QED2/2d0 + coupl&
                        (nGC_1743)
      coupl(nGC_1723) = coupl(nGC_1133)*dyup_QED3
      coupl(nGC_1724) = coupl(nGC_1133)*dyup_QED1_QCD2
      coupl(nGC_1897) = coupl(nGC_1785) + coupl(nGC_19)*dZcL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1894) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZmuMinusL_QED2/2d0 + coupl(nGC_99)*     &
                        dZnu_muL_QED2/2d0
      coupl(nGC_2134) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_125)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_1729) = coupl(nGC_1156)*dyup_QED3 + coupl(nGC_1157)*da_QED2
      coupl(nGC_1898) = coupl(nGC_19)*dZcL_QED2
      coupl(nGC_1899) = coupl(nGC_1785) + coupl(nGC_19)*dZcR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2130) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZsR_QCD2
      coupl(nGC_2131) = coupl(nGC_19)*dZsR_QED2
      coupl(nGC_2132) = coupl(nGC_130)*dZHh_QED2/2d0 + coupl(nGC_130)*dZZ_QED2/&
                        2d0 + coupl(nGC_136)*dZHlHh_QED2/2d0 + coupl(nGC_1766)
      coupl(nGC_2133) = coupl(nGC_1674)/2d0 + coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_2196) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*          &
                        dZeMinusL_QED2 + coupl(nGC_1768) + coupl(nGC_4)*       &
                        dZAZ_QED2/2d0
      coupl(nGC_1891) = coupl(nGC_129)*dZZA_QED2/2d0
      coupl(nGC_1660) = coupl(nGC_1054)*dcw_QED2 + coupl(nGC_1055)*dvev_QED1 + &
                        coupl(nGC_1056)*dZee_QED2
      coupl(nGC_1663) = coupl(nGC_307)*da_QED2 + coupl(nGC_309)*dvevs_QED1 +   &
                        coupl(nGC_311)*dvev_QED1 + coupl(nGC_313)*dl2_QED4 +   &
                        coupl(nGC_315)*dl3_QED4 + coupl(nGC_317)*dl1_QED4
      coupl(nGC_1662) = coupl(nGC_1189)*dvev_QED1 + coupl(nGC_1190)*dvevs_QED1 &
                         + coupl(nGC_1191)*da_QED2 + coupl(nGC_1192)*dl1_QED4  &
                         + coupl(nGC_1193)*dl3_QED4
      coupl(nGC_1701) = coupl(nGC_875)*dys_QED3 + coupl(nGC_876)*da_QED2
      coupl(nGC_2192) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_1664) = coupl(nGC_321)*da_QED2 + coupl(nGC_323)*dvevs_QED1 +   &
                        coupl(nGC_325)*dvev_QED1 + coupl(nGC_327)*dl2_QED4 +   &
                        coupl(nGC_329)*dl3_QED4 + coupl(nGC_331)*dl1_QED4
      coupl(nGC_2001) = coupl(nGC_1756) + coupl(nGC_82)*dZHh_QED2 + coupl(     &
                        nGC_82)*dZWMinus_QED2 + coupl(nGC_92)*dZHlHh_QED2
      coupl(nGC_2002) = coupl(nGC_161)*dZHhHl_QED2/2d0 + coupl(nGC_165)*       &
                        dZHl_QED2/2d0 + coupl(nGC_1670)
      coupl(nGC_2003) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_115)*dZZA_QED2 +    &
                        coupl(nGC_1672)
      coupl(nGC_2004) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_125)*dZZ_QED2/  &
                        2d0 + coupl(nGC_125)*dZbL_QED2 + coupl(nGC_1790)
      coupl(nGC_2190) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_2006) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_122)*dZZ_QED2/  &
                        2d0 + coupl(nGC_122)*dZbR_QED2 + coupl(nGC_1789)
      coupl(nGC_2007) = coupl(nGC_122)*dZbR_QCD2
      coupl(nGC_2008) = -coupl(nGC_104)*dZWMinus_QED2/4d0 - coupl(nGC_1677)/2d0
      coupl(nGC_2009) = coupl(nGC_120)*dZAZ_QED2/2d0 + coupl(nGC_15)*          &
                        dZHhHl_QED2/2d0 + coupl(nGC_1770) + coupl(nGC_28)*     &
                        dZHl_QED2/2d0 + coupl(nGC_28)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_28)*dZZ_QED2/2d0
      coupl(nGC_1666) = coupl(nGC_1158)*dvev_QED1 + coupl(nGC_1159)*dvevs_QED1 &
                         + coupl(nGC_1160)*da_QED2 + coupl(nGC_1161)*dl1_QED4  &
                         + coupl(nGC_1162)*dl3_QED4
      coupl(nGC_2228) = coupl(nGC_1854) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                        nGC_TS_GC_190_Hl) + coupl(nGC_TS_GC_192_Hh)
      coupl(nGC_2180) = -coupl(nGC_103)*dZZA_QED2/2d0 - coupl(nGC_1749) - coupl&
                        (nGC_3)*dZA_QED2/2d0 - coupl(nGC_3)*dZWMinus_QED2
      coupl(nGC_1658) = coupl(nGC_898)*dsw_QED2 + coupl(nGC_899)*dZee_QED2 +   &
                        coupl(nGC_900)*da_QED2
      coupl(nGC_1659) = coupl(nGC_915)*dsw_QED2 + coupl(nGC_916)*dZee_QED2 +   &
                        coupl(nGC_917)*da_QED2
      coupl(nGC_1792) = coupl(nGC_1202)*dcw_QED2 + coupl(nGC_1203)*dsw_QED2 +  &
                        coupl(nGC_1204)*dZee_QED2
      coupl(nGC_2220) = coupl(nGC_1862) + coupl(nGC_MC)*dZcL_QED2/2d0 + coupl( &
                        nGC_MC)*dZcR_QED2/2d0 + coupl(nGC_TS_GC_199_Hh) + coupl&
                        (nGC_TS_GC_200_Hl)
      coupl(nGC_1655) = coupl(nGC_886)*dsw_QED2 + coupl(nGC_887)*dZee_QED2
      coupl(nGC_1656) = coupl(nGC_882)*dsw_QED2 + coupl(nGC_883)*dZee_QED2
      coupl(nGC_1657) = coupl(nGC_920)*dcw_QED2 + coupl(nGC_921)*dsw_QED2 +    &
                        coupl(nGC_922)*dZee_QED2
      coupl(nGC_1650) = coupl(nGC_1077)*dcw_QED2 + coupl(nGC_1078)*dsw_QED2 +  &
                        coupl(nGC_1079)*dZee_QED2 + coupl(nGC_1080)*da_QED2
      coupl(nGC_2225) = coupl(nGC_1858) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_MM)*dZmuMinusR_QED2/2d0 + coupl(             &
                        nGC_TS_GC_211_Hh) + coupl(nGC_TS_GC_212_Hl)
      coupl(nGC_1652) = coupl(nGC_1032)*dsw_QED2 + coupl(nGC_1033)*dZee_QED2 + &
                        coupl(nGC_1034)*da_QED2
      coupl(nGC_1653) = coupl(nGC_978)*dsw_QED2 + coupl(nGC_979)*dZee_QED2 +   &
                        coupl(nGC_980)*da_QED2
      coupl(nGC_1309) = cMTA*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4&
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1424) = coupl(nGC_207)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_207)**2d0 - coupl(nGC_208)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_587)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1307) = cMT*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1351) = coupl(nGC_19)**2d0*coupl(nGC_193)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1299) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_1386) = coupl(nGC_19)**2d0*coupl(nGC_198)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1387) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_206) -    &
                        coupl(nGC_206)**2d0*coupl(nGC_587) + 8d0*coupl(nGC_206 &
                        )*coupl(nGC_4)**2d0 - coupl(nGC_207)**2d0*coupl(nGC_587&
                        ) - coupl(nGC_208)**2d0*coupl(nGC_587))/(32d0*pi**2d0)
      coupl(nGC_1384) = coupl(nGC_19)**2d0*coupl(nGC_579)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_31_Hh) = -coupl(nGC_31)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1383) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_579) -    &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_214) - coupl(  &
                        nGC_198)*coupl(nGC_199)**2d0 - coupl(nGC_198)*coupl(   &
                        nGC_200)**2d0 - coupl(nGC_198)*coupl(nGC_579)**2d0 +   &
                        8d0*coupl(nGC_2)**2d0*coupl(nGC_579))/(32d0*pi**2d0)
      coupl(nGC_1381) = coupl(nGC_19)**2d0*coupl(nGC_194)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1722) = coupl(nGC_369)*dytau_QED3 + coupl(nGC_371)*da_QED2
      coupl(nGC_1388) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_587) -    &
                        coupl(nGC_206)*coupl(nGC_207)**2d0 - coupl(nGC_206)*   &
                        coupl(nGC_208)**2d0 - coupl(nGC_206)*coupl(nGC_587)**  &
                        2d0 + 8d0*coupl(nGC_4)**2d0*coupl(nGC_587))/(32d0*pi** &
                        2d0)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
